{
	"easycom": {
		"autoscan": true,
		"custom": {
			"^u-(.*)": "uview-ui/components/u-$1/u-$1.vue"
		}
	},
	"pages": [
		{
			"path": "pages/index/index",
			"style": {
				"navigationBarTitleText": "工作台",
				"app-plus": {
					"softinputNavBar": "none",
					"titleNView": false
				}
			}
		},
    	{
			"path": "pages/discover/discover",
			"style": {
				"navigationBarTitleText": "发现",
				"navigationBarBackgroundColor": "#2cb8d4",
				"navigationBarTextStyle": "white",
				"app-plus": {
					"softinputNavBar": "none",
					"titleNView": false
				}
			}
		},
    //动态详情
		{
			"path": "pages/discover/details",
			"style": {
				"navigationBarTitleText": "发现",
				"navigationBarBackgroundColor": "#2cb8d4",
				"enablePullDownRefresh":false,
				"navigationBarTextStyle": "white",
				"app-plus": {
					"softinputNavBar": "none",
					"titleNView": false
				}
			}
		},
		{
			"path": "pages/order/order",
			"style": {
				"navigationBarTitleText": "订单",
				"navigationBarBackgroundColor": "#2cb8d4",
				"navigationBarTextStyle": "white",
				"app-plus": {
					"softinputNavBar": "none",
					"titleNView": false
				}
			}
		},
		{
			"path": "pages/my/my",
			"style": {
				"navigationBarTitleText": "个人中心",
				"navigationBarBackgroundColor": "#2cb8d4",
				"navigationBarTextStyle": "white",
				"app-plus": {
					"softinputNavBar": "none",
					"titleNView": false
				}
			}
		},
		{
			"path": "pages/my/withdraw",
			"style": {
				"navigationBarTitleText": "提现",
				"navigationBarBackgroundColor": "#2cb8d4",
				"navigationBarTextStyle": "white",
				"app-plus": {
					"softinputNavBar": "none",
					"titleNView": false
				}
			}
		},
		{
			"path": "pages/my/add_blank",
			"style": {
				"navigationBarTitleText": "绑定银行卡",
				"navigationBarBackgroundColor": "#2cb8d4",
				"navigationBarTextStyle": "white",
				"app-plus": {
					"softinputNavBar": "none",
					"titleNView": false
				}
			}
		},
		{
			"path": "pages/my/history",
			"style": {
				"navigationBarTitleText": "提现记录",
				"navigationBarBackgroundColor": "#2cb8d4",
				"navigationBarTextStyle": "white",
				"app-plus": {
					"softinputNavBar": "none",
					"titleNView": false
				}
			}
		},
		{
			"path": "pages/my/bill",
			"style": {
				"navigationBarTitleText": "账单",
				"navigationBarBackgroundColor": "#2cb8d4",
				"navigationBarTextStyle": "white",
				"app-plus": {
					"softinputNavBar": "none",
					"titleNView": false
				}
			}
		},
    {
			"path": "pages/my/dynamic/index",
			"style": {
				"navigationBarTitleText": "我的动态",
				"navigationBarBackgroundColor": "#2cb8d4",
				"navigationBarTextStyle": "white",
				"app-plus": {
					"softinputNavBar": "none",
					"titleNView": false
				}
			}
		},
    {
			"path": "pages/my/dynamic/add_dynamic",
			"style": {
				"navigationBarTitleText": "发布动态",
				"navigationBarBackgroundColor": "#2cb8d4",
				"navigationBarTextStyle": "white",
				"app-plus": {
					"softinputNavBar": "none",
					"titleNView": false
				}
			}
		},
    {
			"path": "pages/login/wxLogin",
			"style": {
				"navigationBarTitleText": "",
				"app-plus": {
					"softinputNavBar": "none",
					"titleNView": false
				}
			}
		},
		{
			"path": "pages/login/agreement",
			"style": {
				"navigationBarTitleText": "",
				// "navigationBarBackgroundColor": "#2cb8d4",
				// "navigationBarTextStyle": "white",
				"app-plus": {
					"softinputNavBar": "none",
					"titleNView": false
				}
			}
		},
		{
			"path": "pages/login/privacy",
			"style": {
				"navigationBarTitleText": "",
				// "navigationBarBackgroundColor": "#2cb8d4",
				// "navigationBarTextStyle": "white",
				"app-plus": {
					"softinputNavBar": "none",
					"titleNView": false
				}
			}
		},
		{
			"path": "pages/index/details",
			"style": {
				"navigationBarTitleText": "项目详情",
				"navigationBarBackgroundColor": "#2cb8d4",
				"navigationBarTextStyle": "white",
				"app-plus": {
					"softinputNavBar": "none",
					"titleNView": false
				}
			}
		},
		//订单详情
		{
			"path": "pages/order/order_detail",
			"style": {
				"navigationBarTitleText": "订单详情",
				"navigationBarBackgroundColor": "#2cb8d4",
				"navigationBarTextStyle": "white",
				"app-plus": {
					"softinputNavBar": "none",
					"titleNView": false
				}
			}
		},
		//评价订单
		{
			"path": "pages/order/comment",
			"style": {
				"navigationBarTitleText": "评论",
				"navigationBarBackgroundColor": "#2cb8d4",
				"navigationBarTextStyle": "white",
				"app-plus": {
					"softinputNavBar": "none",
					"titleNView": false
				}
			}
		},
		{
			"path": "pages/moments/index",
			"style": {
				"navigationBarTitleText": "社区动态",
				"navigationStyle": "custom"
			}
		},
		{
			"path": "pages/moments/add",
			"style": {
				"navigationBarTitleText": "发布动态",
				"navigationStyle": "custom"
			}
		},
		//商户评论客户
		{
			"path": "pages/my/js_user",
			"style": {
				"navigationBarTitleText": "评论客户",
				"navigationBarBackgroundColor": "#2cb8d4",
				"navigationBarTextStyle": "white",
				"app-plus": {
					"softinputNavBar": "none",
					"titleNView": false
				}
			}
		},
		//收藏
		{
			"path": "pages/my/collect",
			"style": {
				"navigationBarTitleText": "我的收藏",
				"navigationBarBackgroundColor": "#2cb8d4",
				"navigationBarTextStyle": "white",
				"app-plus": {
					"softinputNavBar": "none",
					"titleNView": false
				}
			}
		},
		//我的优惠券
		{
			"path": "pages/my/coupon",
			"style": {
				"navigationBarTitleText": "我的优惠券",
				"navigationBarBackgroundColor": "#2cb8d4",
				"navigationBarTextStyle": "white",
				"app-plus": {
					"softinputNavBar": "none",
					"titleNView": false
				}
			}
		},
		//优惠券使用记录
		{
			"path": "pages/my/record",
			"style": {
				"navigationBarTitleText": "使用记录",
				"navigationBarBackgroundColor": "#2cb8d4",
				"navigationBarTextStyle": "white",
				"app-plus": {
					"softinputNavBar": "none",
					"titleNView": false
				}
			}
		},
		{
			"path": "pages/staff/index",
			"style": {
				"navigationBarTitleText": "商户中心",
				"navigationBarBackgroundColor": "#2cb8d4",
				"navigationBarTextStyle": "white",
				"app-plus": {
					"softinputNavBar": "none",
					"titleNView": false
				}
			}
		},

		{
			"path": "pages/staff/income",
			"style": {
				"navigationBarTitleText": "收入明细",
				"navigationBarBackgroundColor": "#2cb8d4",
				"navigationBarTextStyle": "white",
				"app-plus": {
					"softinputNavBar": "none",
					"titleNView": false
				}
			}
		},
		{
			"path": "pages/staff/withdraw",
			"style": {
				"navigationBarTitleText": "提现明细",
				"navigationBarBackgroundColor": "#2cb8d4",
				"navigationBarTextStyle": "white",
				"app-plus": {
					"softinputNavBar": "none",
					"titleNView": false
				}
			}
		},

		{
			"path": "pages/join/team",
			"style": {
				"navigationBarTitleText": "招商合作",
				"navigationStyle": "default"
			}
		},
		{
			"path": "pages/join/staff",
			"style": {
				"navigationBarTitleText": "商户入驻",
				"navigationStyle": "default"
			}
		},
		{
			"path": "pages/join/applyJoin",
			"style": {
				"navigationBarTitleText": "申请入驻",
				"navigationStyle": "default"
			}
		},
		{
			"path": "pages/join/introduceYourselfEdit",
			"style": {
				"navigationBarTitleText": "简介",
				"navigationStyle": "default"
			}
		},{
			"path": "pages/join/lifePhotosEdit",
			"style": {
				"navigationBarTitleText": "生活照",
				"navigationStyle": "default"
			}
		},{
			"path": "pages/join/idCardEdit", 
			"style": {
				"navigationBarTitleText": "身份证",
				"navigationStyle": "default"
			}
		},{
			"path": "pages/join/commitDocumentEdit", 
			"style": {
				"navigationBarTitleText": "承诺文件",
				"navigationStyle": "default"
			}
		},
		//编辑资料
		{
			"path": "pages/my/indent",
			"style": {
				"navigationBarTitleText": "编辑资料",
				"navigationBarBackgroundColor": "#2cb8d4",
				"navigationBarTextStyle": "white",
				"app-plus": {
					"softinputNavBar": "none",
					"titleNView": false
				}
			}
		},
		//免车费
		{
			"path": "pages/my/free_fare",
			"style": {
				"navigationBarTitleText": "免车费设置",
				"navigationBarBackgroundColor": "#2cb8d4",
				"navigationBarTextStyle": "white",
				"app-plus": {
					"softinputNavBar": "none",
					"titleNView": false
				}
			}
		},
    // 免车费规则设置
    {
			"path": "pages/settings/fare",
			"style": {
				"navigationBarTitleText": "免车费设置",
        "navigationBarBackgroundColor": "#2cb8d4",
				"navigationBarTextStyle": "white",
				"app-plus": {
					"softinputNavBar": "none",
					"titleNView": false
				}
			}
		},
		//商户订单
		{
			"path": "pages/my/js_order",
			"style": {
				"navigationBarTitleText": "订单",
				"navigationBarBackgroundColor": "#2cb8d4",
				"navigationBarTextStyle": "white",
				"app-plus": {
					"softinputNavBar": "none",
					"titleNView": false
				}
			}
		},
		{
			"path": "pages/my/feedback",
			"style": {
				"navigationBarTitleText": "投诉举报"
			}
		},
		//充值
		{
			"path": "pages/my/pay",
			"style": {
				"navigationBarTitleText": "充值",
				"navigationBarBackgroundColor": "#2cb8d4",
				"navigationBarTextStyle": "white",
				"app-plus": {
					"softinputNavBar": "none",
					"titleNView": false
				}
			}
		}
	],
	"subPackages": [
		{
			"root": "setting",
			"pages": [
				{
					"path": "myNew/index",
					"style": {
						"navigationBarTitleText": "设置",
						"navigationBarBackgroundColor": "#2cb8d4",
						"navigationBarTextStyle": "white",
						"app-plus": {
							"softinputNavBar": "none",
							"titleNView": false
						}
					}
				},
				{
					"path": "myNew/security",
					"style": {
						"navigationBarTitleText": "账号安全",
						"navigationBarBackgroundColor": "#2cb8d4",
						"navigationBarTextStyle": "white",
						"app-plus": {
							"softinputNavBar": "none",
							"titleNView": false
						}
					}
				},
				{
					"path": "myNew/phone",
					"style": {
						"navigationBarTitleText": "手机号登录",
						"navigationBarBackgroundColor": "#2cb8d4",
						"navigationBarTextStyle": "white",
						"app-plus": {
							"softinputNavBar": "none",
							"titleNView": false
						}
					}
				},
				{ 
					"path": "myNew/useCodeLogin",  
					"style": {
						"navigationBarTitleText": "验证码",
						"navigationBarBackgroundColor": "#2cb8d4",
						"navigationBarTextStyle": "white",
						"app-plus": {
							"softinputNavBar": "none",
							"titleNView": false
						}
					}
				},
				{ 
					"path": "myNew/forgetPassword", 
					"style": {
						"navigationBarTitleText": "修改密码",
						"navigationBarBackgroundColor": "#2cb8d4",
						"navigationBarTextStyle": "white",
						"app-plus": {
							"softinputNavBar": "none",
							"titleNView": false
						}
					}
				}
			]
		},
		
		{
			"root": "workbench",
			"pages": [
				{
					"path": "password/index",
					"style": {
						"navigationBarTitleText": "修改密码",
						"navigationBarBackgroundColor": "#ffffff",
						"navigationBarTextStyle": "black"
					}
				},
				{
					"path": "rating/index",
					"style": {
						"navigationBarTitleText": "我的评分",
						"navigationBarBackgroundColor": "#ffffff",
						"navigationBarTextStyle": "black"
					}
				},
				{
					"path": "bank/index",
					"style": {
						"navigationBarTitleText": "银行卡",
						"navigationBarBackgroundColor": "#2cb8d4",
						"navigationBarTextStyle": "white"
					}
				},
				{
					"path": "bank/add",
					"style": {
						"navigationBarTitleText": "添加银行卡",
						"navigationBarBackgroundColor": "#2cb8d4",
						"navigationBarTextStyle": "white"
					}
				},
				{
					"path": "bank/detail",
					"style": {
						"navigationBarTitleText": "银行卡详情",
						"navigationBarBackgroundColor": "#2cb8d4",
						"navigationBarTextStyle": "white"
					}
				},
				{
					"path": "withdraw/apply",
					"style": {
						"navigationBarTitleText": "申请提现",
						"navigationBarBackgroundColor": "#ffffff",
						"navigationBarTextStyle": "black"
					}
				},
				{
					"path": "withdraw/record",
					"style": {
						"navigationBarTitleText": "提现记录",
						"navigationBarBackgroundColor": "#ffffff",
						"navigationBarTextStyle": "black"
					}
				},
				{
					"path": "withdraw/detail",
					"style": {
						"navigationBarTitleText": "提现详情",
						"navigationBarBackgroundColor": "#ffffff",
						"navigationBarTextStyle": "black"
					}
				},
				{
					"path": "income/index",
					"style": {
						"navigationBarTitleText": "我的收入",
						"navigationBarBackgroundColor": "#ffffff",
						"navigationBarTextStyle": "black"
					}
				},
				{
					"path": "skill/index",
					"style": {
						"navigationBarTitleText": "技能管理",
						"navigationBarBackgroundColor": "#ffffff",
						"navigationBarTextStyle": "black"
					}
				},
				{
					"path": "skill/add",
					"style": {
						"navigationBarTitleText": "开通新服务",
						"navigationBarBackgroundColor": "#ffffff",
						"navigationBarTextStyle": "black"
					}
				},
				{
					"path": "skill/edit",
					"style": {
						"navigationBarTitleText": "编辑项目",
						"navigationBarBackgroundColor": "#ffffff",
						"navigationBarTextStyle": "black"
					}
				},
				{
					"path": "fare/index",
					"style": {
						"navigationBarTitleText": "免车费",
						"navigationBarBackgroundColor": "#ffffff",
						"navigationBarTextStyle": "black"
					}
				},
				{
					"path": "contract/index",
					"style": {
						"navigationBarTitleText": "我的合同",
						"navigationBarBackgroundColor": "#ffffff",
						"navigationBarTextStyle": "black"
					}
				},
				{
					"path": "contract/detail",
					"style": {
						"navigationBarTitleText": "合同查看",
						"navigationBarBackgroundColor": "#ffffff",
						"navigationBarTextStyle": "black"
					}
				},
				{
					"path": "city/index",
					"style": {
						"navigationBarTitleText": "城市管理",
						"navigationBarBackgroundColor": "#ffffff",
						"navigationBarTextStyle": "black"
					}
				},
				{
					"path": "city/apply",
					"style": {
						"navigationBarTitleText": "城市管理",
						"navigationBarBackgroundColor": "#ffffff",
						"navigationBarTextStyle": "black"
					}
				}
			]
		}
	],
	"preloadRule": {
		"pages/index/index": {
			"network": "all",
			"packages": ["points", "workbench"]
		}
	},
	"globalStyle": {
		"navigationBarTextStyle": "black",
		"navigationBarTitleText": "uni-app",
		"navigationBarBackgroundColor": "#F8F8F8",
		"backgroundColor": "#F8F8F8"
	},
	"tabBar": {
		"color": "#ADB4B8",
		"selectedColor": "#333333",
		"backgroundColor": "#FFFFFF",
		"list": [			{
				"text": "工作台",
				"pagePath": "pages/index/index",
				"iconPath": "static/identify/index.png",
				"selectedIconPath": "static/identify/index-cur.png"
			},
      {
				"text": "发现",
				"pagePath": "pages/my/dynamic/index",
				//"pagePath": "pages/discover/discover",
				"iconPath": "static/discover/discover.png",
				"selectedIconPath": "static/discover/discover-cur.png"
			},
			{
				"text": "订单",
				"pagePath": "pages/order/order",
				"iconPath": "static/identify/order.png",
				"selectedIconPath": "static/identify/order-cur.png"
			},
			{
				"text": "我的",
				"pagePath": "pages/my/my",
				"iconPath": "static/identify/mine.png",
				"selectedIconPath": "static/identify/mine-cur.png"
			}
		]
	},
	"uniIdRouter": {}
}
